com.gemstone.gbj

## Class BigDecimalFloat

- java.lang.Object
- - java.lang.Number
  - - java.math.BigDecimal
    - - com.gemstone.gbj.BigDecimalFloat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.math.BigDecimal>

      public class BigDecimalFloat
      extends java.math.BigDecimal

  Instances of this class represent GS DecimalFloat objects. This is defined as a subclass of BigDecimal to tell them apart from java BigDecimal / GS ScaledDecimal mappings.
  Version:
    3.2
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.math.BigDecimal

      `ONE, ROUND_CEILING, ROUND_DOWN, ROUND_FLOOR, ROUND_HALF_DOWN, ROUND_HALF_EVEN, ROUND_HALF_UP, ROUND_UNNECESSARY, ROUND_UP, TEN, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimalFloat(java.math.BigInteger unscaledVal, int scale)` Generate a BigDecimalFloat from an unscaled value and its scale.
    `BigDecimalFloat(java.lang.String str)` Generate a BigDecimalFloat from a string.

  - ### Method Summary

    - ### Methods inherited from class java.math.BigDecimal

      `abs, abs, add, add, byteValueExact, compareTo, divide, divide, divide, divide, divide, divide, divideAndRemainder, divideAndRemainder, divideToIntegralValue, divideToIntegralValue, doubleValue, equals, floatValue, hashCode, intValue, intValueExact, longValue, longValueExact, max, min, movePointLeft, movePointRight, multiply, multiply, negate, negate, plus, plus, pow, pow, precision, remainder, remainder, round, scale, scaleByPowerOfTen, setScale, setScale, setScale, shortValueExact, signum, stripTrailingZeros, subtract, subtract, toBigInteger, toBigIntegerExact, toEngineeringString, toPlainString, toString, ulp, unscaledValue, valueOf, valueOf, valueOf`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalFloat

          public BigDecimalFloat(java.math.BigInteger unscaledVal,
                                 int scale)

      Generate a BigDecimalFloat from an unscaled value and its scale.
      Parameters:
        `unscaledVal` - - unscaled value of the BigDecimalFloat
        `scale` - - scale of the BigDecimalFloat

    - #### BigDecimalFloat

          public BigDecimalFloat(java.lang.String str)

      Generate a BigDecimalFloat from a string.
      Parameters:
        `str` - - String representation for the BigDecimalFloat